Subject: [announce] htdig for win32 / cygwin 1.1.8 based
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 5 Mar 2001 16:18:18 +0100

Hi,

this is a new port of ht://Dig 3.15 to win32.

Get the source here: http://www.htdig.org

I use Apache Webserver 1.3.19-win32-nosrc which you get here:
http://httpd.apache.org/

Requirements for ht://Dig to work:

	(All this needs to be in your PATH)
	- cygwin1.dll (i used 1.1.8)
	- cygz.dll (this is zlib, it comes with cygwin)
	- perl (i used 5.6.1-1 perl for cygwin but it should work with
	        ActiveStates ActivePerl too)
	- Get latest cygwin here:
            http://www.cygwin.com/setup.exe
	- Get ActivePerl here: 
            http://www.activestate.com/Products/ActivePerl/index.html

I installed Apache in c:\programme\apache
and ht://Dig in c:\programme\htdig
Some files of ht://Dig installs in Apache's /htdocs-dir, so it will be
difficult to install, if Apache is in a different location.

Unpack the package in an empty dir at first and copy all to their 
recommended location.

HTML-docs are included in this distribution, you will find them in:
/htdocs/htdig/htdig-doc

I didn't include pdftotext, because it didn't work for me with the
precompiled binaries for cygwin, which you can get here:

http://www.foolabs.com/xpdf/xpdf.html

All the other scripts are included, in C:\programme\htdig\contrib\

You will need to modify c:\programme\htdig\conf\htdig.conf to fit
your installation.
Read the comments inside this file.

Bugs and Glitches:
==================
(from "Idiot's Guide to installing ht://dig on Win32."
 by Jim Kerslake, [email-masked]
 ftp://ftp.htdig.org/pub/htdig/contrib/guides/Installing_on_Win32.html)

- htdig bombs out during indexing, with "no server running" messages:
  On a fast machine, particularly if you are running htdig to index a site
  hosted from that same server, it seems as if htdig's rate of page requests
  can overwhelm the number of available web server processes 
  - i.e. the server gets swamped with htdig's rate of page requests.

  Try using a local_urls specification in the config file, to point ht://dig
  at the local HTML files (instead of retrieving them via the web server).

  The problem disappears if you are indexing lots of big slow external sites
  at the same time as your local one.

- Form input glitch
  If you have indexed multiple sites [www.abc.com; www.def.com; www.ghi.com]
  and want to build a form which uses "restrict" to allow searching to be 
  limited to one or all of these sites:

   <select name="restrict">
   <option value="abc.com"> search abc.com
   <option value="def.com"> search def.com
   <option value="ghi.com"> search ghi.com
   <option value="">search the whole lot 
   </select>

   then I find that the last value, restrict="", gives incorrect buggy results.

   I don't know whether or not this is NT-specific.
   I get around it by:
   <option value="/">search the whole lot

Good Luck:-)

Contributor:

"gph" <[email-masked]>

Location of this package (htdig-3.15-cygwin-1.1.8.tar.gz) is:
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Haase_Gerrit/1.1/

-- 
[email-masked]
KeyID: 0xC8C9D69A = 57C8 1B1D CFE4 8515 AA3E  4499 A326 0F3C C8C9 D69A

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple